Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class Instance.Identifier

    java.lang.Object
      rdlc.naming.Identifier<Field>
          rdlc.rdl.Instance.Identifier

All Implemented Interfaces:
  ErrorLocation

Enclosing class:
  Instance

    public static class Instance.Identifier

extends Identifier<Field>
implements ErrorLocation

Identifier for instsances and fields. In addition to the standard `Identifier` functionality, this adds functionality from the `ErrorLocation` interface so that errors related to this identifier can be reported to the user.

Version:
  $Revision: 1.31 $
Author:
  Greg Gibeling

Field Summary
`protected java.lang.String` | `errorLocation` A human readable form of the source location this identifier was specified at.

Fields inherited from class rdlc.naming.Identifier
`accessor, cachedValue, catalog, name`

Constructor Summary
`Instance.Identifier(Identifier<Field> _identifier, java.lang.String _errorLocation)` Copy constructor, creates a copy of the given field identifier with the specified error location.
`Instance.Identifier(Instance _instance, java.lang.String _name, Field _cachedValue, FileRange _fileRange)` Constructs an identifier from a given name, instance and file range.
`Instance.Identifier(Instance _instance, java.lang.String _name, Field _cachedValue, java.lang.String _errorLocation)` Copy constructor, for use in creating a modified version of a known identifier.
`Instance.Identifier(RawDynamicIdentifier rawDynamicID, Instance _instance)` Full constructor, creates an identifier by parsing in a dynamic identifier from an RDL file.

Method Summary
`QualifiedIdentifier<Field>` | `getRelative(java.lang.Object _catalog)` Return a `Instance.QualifiedIdentifier` which names the same field as this identifier, but relative to the given instance.
`java.lang.String` | `locationName()` Returns the source location for this identifier and it's complete closure representation.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.naming.Identifier
`get, getCatalog, getComplete, getComplete, getName, getPath, hashCode, isLambda, put`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### errorLocation

    protected java.lang.String errorLocation

  A human readable form of the source location this identifier was specified at.

Constructor Detail

### Instance.Identifier

    public Instance.Identifier(RawDynamicIdentifier rawDynamicID,
                               Instance _instance)

  Full constructor, creates an identifier by parsing in a dynamic identifier from an RDL file.

  Parameters:
    `rawDynamicID` - The raw dynamic identifier parsed from the RDL source file.
    `_instance` - The instance in which this identifier was found.

### Instance.Identifier

    public Instance.Identifier(Instance _instance,
                               java.lang.String _name,
                               Field _cachedValue,
                               FileRange _fileRange)

  Constructs an identifier from a given name, instance and file range. This is only marginally more complicated than the standard constructor.

  Parameters:
    `_instance` - The instance this identifier should be bound in.
    `_name` - The name of the value named by this identifier.
    `_cachedValue` - The field which this identifier will name. Can be `null`.
    `_fileRange` - A `FileRange` object representing the RDL text from which this identifier results.

### Instance.Identifier

    public Instance.Identifier(Instance _instance,
                               java.lang.String _name,
                               Field _cachedValue,
                               java.lang.String _errorLocation)

  Copy constructor, for use in creating a modified version of a known identifier.

  Parameters:
    `_instance` - The instance this identifier should be bound in.
    `_name` - The name of the value named by this identifier.
    `_cachedValue` - The field which this identifier will name. Can be `null`.
    `_errorLocation` - The actual error location string, which should extracted from the identifier which is being copied.

### Instance.Identifier

    public Instance.Identifier(Identifier<Field> _identifier,
                               java.lang.String _errorLocation)

  Copy constructor, creates a copy of the given field identifier with the specified error location. This is mostly used in `Instance.QualifiedIdentifier` to create an identifier which will point to the proper error location.

  Parameters:
    `_identifier` - The identifier to copy.
    `_errorLocation` - The error location to store in this identifier.
  See Also:
    `Instance.QualifiedIdentifier#resolve(Log, Phase)`

Method Detail

### locationName

    public java.lang.String locationName()

  Returns the source location for this identifier and it's complete closure representation. This should give a user more than enough information to find where this identifier was written.

  Specified by:
    `locationName` in interface `ErrorLocation`
  Returns:
    The error location in a human readable form.
  See Also:
    `ErrorLocation.locationName()`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable string representation of this identifier for debugging.

### getRelative

    public QualifiedIdentifier<Field> getRelative(java.lang.Object _catalog)

  Return a `Instance.QualifiedIdentifier` which names the same field as this identifier, but relative to the given instance.

  Overrides:
    `getRelative` in class `Identifier<Field>`
  Parameters:
    `_catalog` - The catalog which the resultant qualified identifier should be relative to.
  Returns:
    A qualified identifier relative to the given catalog which names the name object as this identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD